> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletconnect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments for a merchant

> **Deprecated:** Use `GET /v1/merchants/payments` with partner `api-key` and `merchant-id` headers instead.

Retrieve paginated payments with optional filters.



## OpenAPI

````yaml api/2026-02-18.json GET /v1/merchants/{merchant_id}/payments
openapi: 3.1.0
info:
  title: WalletConnect Pay API
  version: '2026-02-18'
servers:
  - url: https://api.pay.walletconnect.com
security:
  - API Key: []
  - ApiKey: []
  - AppId: []
tags:
  - name: Gateway
  - name: Payments
  - name: Refunds
  - name: Merchant Management
  - name: Settlements
  - name: Crypto Settlement
paths:
  /v1/merchants/{merchant_id}/payments:
    get:
      tags:
        - Payments
      summary: Get payments for a merchant
      description: >-
        **Deprecated:** Use `GET /v1/merchants/payments` with partner `api-key`
        and `merchant-id` headers instead.


        Retrieve paginated payments with optional filters.
      operationId: Payments_get
      parameters:
        - in: path
          name: merchant_id
          schema:
            type: string
          required: true
        - in: query
          name: start_ts
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        - in: query
          name: end_ts
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        - in: query
          name: asset
          schema:
            type: string
        - in: query
          name: network
          schema:
            type: string
        - in: query
          name: sort_by
          schema:
            type: string
            enum:
              - date
              - amount
        - in: query
          name: sort_dir
          schema:
            type: string
            enum:
              - asc
              - desc
        - in: query
          name: cursor
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 200
        - in: query
          name: status
          schema:
            anyOf:
              - type: string
                enum:
                  - requires_action
                  - processing
                  - succeeded
                  - failed
                  - expired
              - type: array
                items:
                  type: string
                  enum:
                    - requires_action
                    - processing
                    - succeeded
                    - failed
                    - expired
      responses:
        '200':
          description: Payments with statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantLegacyPaymentsResponse'
        '400':
          description: Bad request — invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable error message
                  code:
                    type: string
                    enum:
                      - invalid_params
                      - params_validation
                    description: Machine-readable error code
                  details:
                    description: Additional structured error details
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  issues:
                    type: array
                    description: >-
                      Field-level validation issues (present on validation
                      errors)
                    items:
                      type: object
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                required:
                  - message
                  - code
              examples:
                invalid_params:
                  summary: Invalid request parameters
                  value:
                    code: invalid_params
                    message: Invalid request parameters
                params_validation:
                  summary: Validation failed
                  value:
                    code: params_validation
                    message: Validation failed
        '401':
          description: Unauthorized — missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable error message
                  code:
                    type: string
                    enum:
                      - missing_api_key
                      - invalid_api_key
                    description: Machine-readable error code
                  details:
                    description: Additional structured error details
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                required:
                  - message
                  - code
              examples:
                missing_api_key:
                  summary: Missing API key
                  value:
                    code: missing_api_key
                    message: Missing API key
                invalid_api_key:
                  summary: Invalid API key
                  value:
                    code: invalid_api_key
                    message: Invalid API key
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable error message
                  code:
                    type: string
                    const: internal_error
                    description: Machine-readable error code
                  details:
                    description: Additional structured error details
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                required:
                  - message
                  - code
              examples:
                internal_error:
                  summary: Internal Server Error
                  value:
                    code: internal_error
                    message: Internal Server Error
        '502':
          description: Bad gateway — upstream service returned an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable error message
                  code:
                    type: string
                    const: bad_gateway
                    description: Machine-readable error code
                  details:
                    description: Additional structured error details
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                required:
                  - message
                  - code
              examples:
                bad_gateway:
                  summary: Bad Gateway
                  value:
                    code: bad_gateway
                    message: Bad Gateway
      deprecated: true
      security:
        - apiKeyLegacy: []
components:
  schemas:
    MerchantLegacyPaymentsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              payment_id:
                type: string
              merchant_id:
                type: string
              reference_id:
                type: string
              status:
                type: string
                enum:
                  - requires_action
                  - processing
                  - succeeded
                  - failed
                  - expired
              is_terminal:
                type: boolean
              wallet_name:
                type: string
              chain_id:
                anyOf:
                  - type: string
                  - type: 'null'
              buyer_caip10:
                anyOf:
                  - type: string
                  - type: 'null'
              token_caip19:
                anyOf:
                  - type: string
                  - type: 'null'
              tx_hash:
                anyOf:
                  - type: string
                  - type: 'null'
              nonce:
                anyOf:
                  - type: integer
                    minimum: 0
                    maximum: 2147483647
                  - type: 'null'
              token_amount:
                anyOf:
                  - type: string
                  - type: 'null'
              fiat_amount:
                anyOf:
                  - type: integer
                    minimum: -2147483648
                    maximum: 2147483647
                  - type: 'null'
              fiat_currency:
                anyOf:
                  - type: string
                  - type: 'null'
              created_at:
                anyOf:
                  - type: string
                  - type: 'null'
              last_updated_at:
                anyOf:
                  - type: string
                  - type: 'null'
              settled_at:
                anyOf:
                  - type: string
                  - type: 'null'
              settlement_status:
                anyOf:
                  - type: string
                  - type: 'null'
              settlement_tx_hash:
                anyOf:
                  - type: string
                  - type: 'null'
              token_symbol:
                anyOf:
                  - type: string
                  - type: 'null'
              token_decimals:
                anyOf:
                  - type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  - type: 'null'
              token_logo:
                anyOf:
                  - type: string
                  - type: 'null'
              chain_logo:
                anyOf:
                  - type: string
                  - type: 'null'
              wallet_logo:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - payment_id
              - merchant_id
              - reference_id
              - status
              - is_terminal
              - wallet_name
              - token_symbol
              - token_decimals
              - token_logo
              - chain_logo
              - wallet_logo
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
        stats:
          type: object
          properties:
            total_customers:
              type: integer
              minimum: 0
              maximum: 2147483647
            total_revenue:
              type: object
              properties:
                amount:
                  type: number
                currency:
                  type: string
              required:
                - amount
                - currency
            total_transactions:
              type: integer
              minimum: 0
              maximum: 2147483647
          required:
            - total_customers
            - total_revenue
            - total_transactions
      required:
        - data
        - stats
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: Api-Key
    ApiKey:
      type: apiKey
      in: header
      name: Api-Key
      description: Private API key for wallet authentication
    AppId:
      type: apiKey
      in: header
      name: App-Id
      description: >-
        Public App ID for wallet authentication. When using this auth mode, the
        Client-Id header is also required.
    apiKeyLegacy:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        **Deprecated.** Legacy service API key for path-based routes. `Api-Key`
        header is also accepted for backward compatibility.

````